package com.ruoyi.system.domain;

import com.ruoyi.common.core.domain.entity.SysRole;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 企业信息审核对象 enterprise_apply
 * 
 * @author ruoyi
 * @date 2023-02-20
 */
public class EnterpriseApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 企业名称 */
    @Excel(name = "企业名称")
    private String name;

    /** 统一社会信用代码 */
    @Excel(name = "统一社会信用代码")
    private String coding;

    /** 法人名称 */
    @Excel(name = "法人名称")
    private String legalPersonName;

    /** 证件类型 1：身份证号码，2：护照，3：港澳通行证 */
    @Excel(name = "证件类型 1：身份证号码，2：护照，3：港澳通行证")
    private String cardType;

    /** 法人证件号 */
    @Excel(name = "法人证件号")
    private String legalPersonCard;

    /** 法人联系号码 */
    @Excel(name = "法人联系号码")
    private String phone;

    /** 审核结果，0: 未操作 1：不同意，2：同意 */
    @Excel(name = "审核结果，0: 未操作 1：不同意，2：同意")
    private String isAudit;

    /** 申请人id */
    private Long userId;

    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    private String userName;

    /** 申请人手机号 */
    @Excel(name = "申请人手机号")
    private String userPhone;

    /** 审核意见 */
    @Excel(name = "审核意见")
    private String auditOpinion;

    private List<EnterprisePhoto> enterprisePhotoList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setCoding(String coding) 
    {
        this.coding = coding;
    }

    public String getCoding() 
    {
        return coding;
    }
    public void setLegalPersonName(String legalPersonName) 
    {
        this.legalPersonName = legalPersonName;
    }

    public String getLegalPersonName() 
    {
        return legalPersonName;
    }
    public void setCardType(String cardType) 
    {
        this.cardType = cardType;
    }

    public String getCardType() 
    {
        return cardType;
    }
    public void setLegalPersonCard(String legalPersonCard) 
    {
        this.legalPersonCard = legalPersonCard;
    }

    public String getLegalPersonCard() 
    {
        return legalPersonCard;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setIsAudit(String isAudit) 
    {
        this.isAudit = isAudit;
    }

    public String getIsAudit() 
    {
        return isAudit;
    }
    public void setAuditOpinion(String auditOpinion) 
    {
        this.auditOpinion = auditOpinion;
    }

    public String getAuditOpinion() 
    {
        return auditOpinion;
    }

    public List<EnterprisePhoto> getEnterprisePhotoList() {
        return enterprisePhotoList;
    }

    public void setEnterprisePhotoList(List<EnterprisePhoto> enterprisePhotoList) {
        this.enterprisePhotoList = enterprisePhotoList;
    }

    public Long getUserId() {
        return userId;
    }

    public String getUserName() {
        return userName;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("coding", getCoding())
            .append("legalPersonName", getLegalPersonName())
            .append("cardType", getCardType())
            .append("legalPersonCard", getLegalPersonCard())
            .append("phone", getPhone())
            .append("isAudit", getIsAudit())
            .append("auditOpinion", getAuditOpinion())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
